IA64Options
Date: 2017-02-08

org.tukaani.xz

## Class IA64Options

- java.lang.Object
- - org.tukaani.xz.FilterOptions
  - - org.tukaani.xz.IA64Options

- All Implemented Interfaces:
    java.lang.Cloneable

      public class IA64Options
      extends FilterOptions

  BCJ filter for Itanium (IA-64) instructions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IA64Options()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `int` | `getDecoderMemoryUsage()` Gets how much memory the decoder will need to decompress the data that was encoded with these options.
    `int` | `getEncoderMemoryUsage()` Gets how much memory the encoder will need with these options.
    `java.io.InputStream` | `getInputStream(java.io.InputStream in)` Gets a raw (no XZ headers) decoder input stream using these options.
    `FinishableOutputStream` | `getOutputStream(FinishableOutputStream out)` Gets a raw (no XZ headers) encoder output stream using these options.
    `int` | `getStartOffset()` Gets the start offset.
    `void` | `setStartOffset(int startOffset)` Sets the start offset for the address conversions.

    - ### Methods inherited from class org.tukaani.xz.FilterOptions

      `getDecoderMemoryUsage, getEncoderMemoryUsage`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IA64Options

          public IA64Options()

  - ### Method Detail

    - #### getOutputStream

          public FinishableOutputStream getOutputStream(FinishableOutputStream out)

      Description copied from class: `FilterOptions`
      Gets a raw (no XZ headers) encoder output stream using these options. Raw streams are an advanced feature. In most cases you want to store the compressed data in the .xz container format instead of using a raw stream. To use this filter in a .xz file, pass this object to XZOutputStream.
      Specified by:
        `getOutputStream` in class `FilterOptions`

    - #### getInputStream

          public java.io.InputStream getInputStream(java.io.InputStream in)

      Description copied from class: `FilterOptions`
      Gets a raw (no XZ headers) decoder input stream using these options.
      Specified by:
        `getInputStream` in class `FilterOptions`

    - #### setStartOffset

          public void setStartOffset(int startOffset)
                              throws UnsupportedOptionsException

      Sets the start offset for the address conversions. Normally this is useless so you shouldn't use this function. The default value is `0`.
      Throws:
        `UnsupportedOptionsException`

    - #### getStartOffset

          public int getStartOffset()

      Gets the start offset.

    - #### getEncoderMemoryUsage

          public int getEncoderMemoryUsage()

      Description copied from class: `FilterOptions`
      Gets how much memory the encoder will need with these options.
      Specified by:
        `getEncoderMemoryUsage` in class `FilterOptions`

    - #### getDecoderMemoryUsage

          public int getDecoderMemoryUsage()

      Description copied from class: `FilterOptions`
      Gets how much memory the decoder will need to decompress the data that was encoded with these options.
      Specified by:
        `getDecoderMemoryUsage` in class `FilterOptions`

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`